Bug 1565088 - CVE-2018-1079 pcs: Privilege escalation via authorized user malicious REST call [fedora-all]
Summary: CVE-2018-1079 pcs: Privilege escalation via authorized user malicious REST ca...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcs
Version: 27
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Tomas Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2018-1079
TreeView+ depends on / blocked
 
Reported: 2018-04-09 11:16 UTC by Cedric Buissart 🐶
Modified: 2018-04-19 00:30 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-04-15 02:37:06 UTC


Attachments (Terms of Use)

Comment 1 Cedric Buissart 🐶 2018-04-09 11:17:06 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1550243,1565088

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2018-04-10 07:25:45 UTC
pcs-0.9.164-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-57bbe74c6c

Comment 3 Fedora Update System 2018-04-10 07:26:05 UTC
pcs-0.9.164-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bbfb0f5bc9

Comment 4 Fedora Update System 2018-04-10 10:21:57 UTC
pcs-0.9.160-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ce5d7106d8

Comment 5 Fedora Update System 2018-04-10 20:49:57 UTC
pcs-0.9.160-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ce5d7106d8

Comment 6 Fedora Update System 2018-04-10 21:15:23 UTC
pcs-0.9.164-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-57bbe74c6c

Comment 7 Fedora Update System 2018-04-10 22:51:56 UTC
pcs-0.9.164-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bbfb0f5bc9

Comment 8 Fedora Update System 2018-04-15 02:37:06 UTC
pcs-0.9.164-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-04-19 00:06:35 UTC
pcs-0.9.160-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-04-19 00:30:28 UTC
pcs-0.9.164-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.